libdevice User's Guide (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.189. __nv_isinfd

Prototype:

    i32 @__nv_isinfd(double %x)

Description:

Determine whether the floating-point value `x` is an infinite value (positive or negative).

Returns:

Returns a nonzero value if and only if `x` is a infinite value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes